USE COWS
GO

ALTER TABLE LK_PROD_TYPE NOCHECK CONSTRAINT ALL
GO
ALTER TABLE PLTFRM_MAPNG NOCHECK CONSTRAINT ALL
GO
DELETE FROM LK_PROD WITH (TABLOCKX)
GO

DECLARE @tProd Table
(
	Name	varchar(50),
	Dt		DateTime
)
INSERT INTO @tProd
		SELECT 'CPE',				GETDATE()
UNION	SELECT 'Dedicated IP',		GETDATE()
UNION	SELECT 'DIA',				GETDATE()
UNION	SELECT 'Generic Product',	GETDATE()
UNION	SELECT 'IPL',				GETDATE()
UNION	SELECT 'MPLS',				GETDATE()
UNION	SELECT 'MNS',				GETDATE()
UNION	SELECT 'MSS',				GETDATE()
UNION	SELECT 'SLFR',				GETDATE()
UNION   SELECT 'IPL E2E',           GETDATE()

INSERT INTO dbo.LK_PROD
SELECT * FROM @tPROD t
WHERE NOT EXISTS (SELECT PROD_NME FROM dbo.LK_PROD lp WITH (NOLOCK) WHERE lp.PROD_NME = t.Name)
GO
ALTER TABLE LK_PROD_TYPE CHECK CONSTRAINT ALL
GO
ALTER TABLE PLTFRM_MAPNG CHECK CONSTRAINT ALL
GO
